#ai-chat-button{
    position: fixed;
    bottom: 30px;
    right: 30px;
    width: 80px;
    height: 80px;
    border: none;
    background: transparent;
    cursor: pointer;
    z-index: 9999;
    animation: float 2s ease-in-out infinite;
}

#ai-send:hover{
    background:#004080;
}

#ai-chat-button img{
    width:100%;
    height:100%;
    border-radius:50%;
    box-shadow:0 4px 15px rgba(0,0,0,.3);
	
}


@keyframes float{
    0%,100%{ transform:translateY(0); }
    50%{ transform:translateY(-8px); }
}

#ai-chat-window{
	display:none;
	flex-direction:column;
    flex:1;
    min-height:0;
    overflow-y:scroll;   /* auto → scroll */
    overflow-x:hidden;
    height:80vh;
    max-height:700px;
    position:fixed;
    right:20px;
    bottom:120px;
    width:95%;
    max-width:500px;
    background:#fff;
    border-radius:15px;
    overflow:hidden;
    z-index:99999;
    box-shadow:0 0 25px rgba(0,0,0,.3);
}

#ai-header{
    background:#005bac;
    color:#fff;
    padding:10px;
    font-weight:bold;
}

#ai-messages{
	flex: 1;
	min-height:0;
    overflow-y: auto;
    padding:10px;
    background:#f7f7f7;
}

.ai-user{
    background:#005bac;
    color:#fff;
    padding:10px;
    border-radius:10px;
    margin:8px 0;
    text-align:right;
}

.ai-bot{
    background:#fff;
    padding:10px;
    border-radius:10px;
    margin:8px 0;
    border:1px solid #ddd;
    white-space:pre-wrap;
}

.ai-bot:first-child{
    margin-top:0;
}

#ai-input-area{
	 display:flex;
    height:35px;
    flex-shrink:0;
    border-top:1px solid #ddd;

}

#ai-input{
    flex:1;
    border:none;
    padding:0 12px;
    outline:none;
}

#ai-send{
    width:80px;
    border:none;
    background:#005bac;
    color:#fff;
    cursor:pointer;
}

@media(max-width:768px){

    #ai-chat-window{
        width:95%;
        left:2.5%;
        right:2.5%;
        bottom:95px;
        height:45vh;
        max-height:none;
    }
	
	#ai-chat-button{
        width:60px;
        height:60px;
        right:15px;
        bottom:15px;
    }

    #ai-header{
        padding:10px;
        font-size:14px;
    }

    #ai-messages{
        padding:10px;
        font-size:14px;
    }

    .ai-user,
    .ai-bot{
        font-size:14px;
        padding:8px;
        margin:5px 0;
    }

    #ai-input{
        font-size:14px;
    }

    #ai-send{
        width:65px;
        font-size:14px;
    }
}